Bug 169852 - mail/davmail update to 3.9.9, other fixes
Summary: mail/davmail update to 3.9.9, other fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Doug Barton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-14 12:20 UTC by Doug Barton
Modified: 2012-07-19 08:30 UTC (History)
0 users

See Also:


Attachments
file.diff (4.32 KB, patch)
2012-07-14 12:20 UTC, Doug Barton
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Barton freebsd_committer 2012-07-14 12:20:01 UTC
	Update port to latest version, fix davmail.desktop installation.

Fix: Apply the following patch:

How-To-Repeat: 	DNA
Comment 1 Edwin Groothuis freebsd_committer 2012-07-14 12:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dougb

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-07-14 12:20:17 UTC
Maintainer of mail/davmail,

Please note that PR ports/169852 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169852

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-07-14 12:20:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 john.c.prather 2012-07-19 07:00:59 UTC
I approve!  Apologies for the wait.

-john



On Sat, Jul 14, 2012 at 4:20 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of mail/davmail,
>
> Please note that PR ports/169852 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169852
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 5 dfilter service freebsd_committer 2012-07-19 08:25:25 UTC
Author: dougb
Date: Thu Jul 19 07:25:16 2012
New Revision: 301142
URL: http://svn.freebsd.org/changeset/ports/301142

Log:
  ** DavMail 3.9.9 released **
  Bugfix release with major IMAP changes to improve sync performance,
  many Caldav enhancements and bugfixes and some documentation updates.
  
  For the port:
  
  Fix the davmail.desktop file contents and install location
  
  PR:		ports/169852
  Submitted by:	me
  Approved by:	maintainer (private mail)

Modified:
  head/mail/davmail/Makefile
  head/mail/davmail/distinfo
  head/mail/davmail/pkg-plist

Modified: head/mail/davmail/Makefile
==============================================================================
--- head/mail/davmail/Makefile	Thu Jul 19 06:27:16 2012	(r301141)
+++ head/mail/davmail/Makefile	Thu Jul 19 07:25:16 2012	(r301142)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	davmail
-PORTVERSION=	3.9.8
-PORTREVISION=	1
+PORTVERSION=	3.9.9
 CATEGORIES=	mail java
 MASTER_SITES=	SF/davmail/davmail/${PORTVERSION}
 DISTNAME=	${PORTNAME}-src-${PORTVERSION}-${REVISION}
@@ -24,7 +23,7 @@ USE_ANT=	yes
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+
 ALL_TARGET=	release
-REVISION=	1921
+REVISION=	1976
 # port build number, same as on DISTNAME
 MAKE_ARGS=	-Drevision=${REVISION}
 
@@ -33,6 +32,11 @@ DATADIR=	${JAVASHAREDIR}/${PORTNAME}
 USE_RC_SUBR=	davmail
 SUB_FILES=	davmail.sh
 
+post-patch:
+	@${REINPLACE_CMD} -e 's#exec=\"davmail\"#exec=\"${PREFIX}/bin/davmail\"#' \
+		-e 's#icon=\"/usr/share/davmail/davmail.png\"#icon=\"${DATADIR}/davmail.png\"#' \
+		${WRKSRC}/build.xml
+
 do-install:
 	@cd ${WRKSRC}/dist && ${FIND} . -type d \
 		-exec ${MKDIR} ${DATADIR}/\{} \;
@@ -44,10 +48,13 @@ do-install:
 		-not -name "*.zip" \
 		-not -name "*.war" \
 		-not -name "*.rpm" \
+		-not -name "*.desktop" \
 		-exec ${INSTALL_DATA} \{} ${DATADIR}/\{} \;
 	@${INSTALL_SCRIPT} ${WRKDIR}/davmail.sh ${PREFIX}/bin/davmail
 	@${INSTALL_DATA} ${FILESDIR}/davmail.properties.sample \
 		${PREFIX}/etc
+	@${MKDIR} ${PREFIX}/share/applications
+	@${INSTALL_DATA} ${WRKSRC}/dist/davmail.desktop ${PREFIX}/share/applications/
 
 post-install:
 	@if [ ! -f ${PREFIX}/etc/davmail.properties ]; then \

Modified: head/mail/davmail/distinfo
==============================================================================
--- head/mail/davmail/distinfo	Thu Jul 19 06:27:16 2012	(r301141)
+++ head/mail/davmail/distinfo	Thu Jul 19 07:25:16 2012	(r301142)
@@ -1,2 +1,2 @@
-SHA256 (davmail-src-3.9.8-1921.tgz) = c8009a6fa6b0fb6c99cff1b9069559b965bd58740ba8d3b5d1e4daea4baa50fb
-SIZE (davmail-src-3.9.8-1921.tgz) = 19728852
+SHA256 (davmail-src-3.9.9-1976.tgz) = 1f94cdd1b3725d871bc0c5bc08946f8c0bf84c5185f23e5e1e65884d4069f5d2
+SIZE (davmail-src-3.9.9-1976.tgz) = 22143077

Modified: head/mail/davmail/pkg-plist
==============================================================================
--- head/mail/davmail/pkg-plist	Thu Jul 19 06:27:16 2012	(r301141)
+++ head/mail/davmail/pkg-plist	Thu Jul 19 07:25:16 2012	(r301142)
@@ -20,6 +20,7 @@ etc/davmail.properties.sample
 %%JAVASHAREDIR%%/davmail/lib/htmlcleaner-2.1.jar
 %%JAVASHAREDIR%%/davmail/lib/xercesImpl-2.8.1.jar
 %%JAVASHAREDIR%%/davmail/lib/commons-httpclient-3.1.jar
+%%JAVASHAREDIR%%/davmail/lib/winrun4j-0.4.4.jar
 %%JAVASHAREDIR%%/davmail/lib/woodstox-core-asl-4.1.2.jar
 %%JAVASHAREDIR%%/davmail/lib/stax-api-1.0.1.jar
 %%JAVASHAREDIR%%/davmail/lib/stax2-api-3.1.1.jar
@@ -44,6 +45,7 @@ etc/davmail.properties.sample
 %%JAVASHAREDIR%%/davmail/web/WEB-INF/lib/commons-logging-1.0.4.jar
 %%JAVASHAREDIR%%/davmail/web/WEB-INF/lib/stax-api-1.0.1.jar
 %%JAVASHAREDIR%%/davmail/web/WEB-INF/lib/stax2-api-3.1.1.jar
+%%JAVASHAREDIR%%/davmail/web/WEB-INF/lib/winrun4j-0.4.4.jar
 %%JAVASHAREDIR%%/davmail/web/WEB-INF/lib/woodstox-core-asl-4.1.2.jar
 %%JAVASHAREDIR%%/davmail/web/WEB-INF/web.xml
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/MacOS/davmail
@@ -57,7 +59,6 @@ etc/davmail.properties.sample
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/Java/jcharset-1.3.jar
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/Java/jcifs-1.3.14.jar
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/Java/jdom-1.0.jar
-%%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/Java/junit-3.8.1.jar
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/Java/libgrowl-0.2.jar
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/Java/libgrowl.jnilib
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/Java/log4j-1.2.16.jar
@@ -72,13 +73,11 @@ etc/davmail.properties.sample
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/tray.icns
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Info.plist
 %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/PkgInfo
-%%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Info-dock.plist
-%%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Info-nodock.plist
 %%JAVASHAREDIR%%/davmail/version.txt
 %%JAVASHAREDIR%%/davmail/davmail.jar
 %%JAVASHAREDIR%%/davmail/davmail.png
 %%JAVASHAREDIR%%/davmail/davmail.sh
-%%JAVASHAREDIR%%/davmail/davmail.desktop
+share/applications/davmail.desktop
 @dirrm %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/MacOS
 @dirrm %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources/Java
 @dirrm %%JAVASHAREDIR%%/davmail/DavMail.app/Contents/Resources
@@ -90,3 +89,4 @@ etc/davmail.properties.sample
 @dirrm %%JAVASHAREDIR%%/davmail/web/WEB-INF
 @dirrm %%JAVASHAREDIR%%/davmail/web
 @dirrm %%JAVASHAREDIR%%/davmail
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Doug Barton freebsd_committer 2012-07-19 08:28:49 UTC
State Changed
From-To: feedback->closed


Committed as r301142. Approved by maintainer in private mail.